#!/usr/bin/env Rscript

library(readr)
library(dplyr, warn.conflicts = FALSE)
options(warn = 2) # warnings are errors

args      <- commandArgs(trailingOnly = TRUE)
input_csv <- args[[1]]

varnames <- c(
    "gupi",
    "Outcomes.DerivedCompositeGOSE",
    "Outcomes.DerivedCompositeGOSEDaysPostInjury",
    "Subject.Age",
    "Subject.PatientType",
    "Subject.DeathDate"
)

colnames <- readr::read_csv(
        input_csv,
        n_max = 1, ,
        col_types = "cinncD"
    ) %>%
    names

if (!all(colnames == varnames))
    stop("colnames do not match varnames, check order!")
